DOMAdapter (JDOM v1.1.3)
Date: 2016-07-02

org.jdom.adapters

## Interface DOMAdapter

- All Known Implementing Classes:
    AbstractDOMAdapter, CrimsonDOMAdapter, JAXPDOMAdapter, OracleV1DOMAdapter, OracleV2DOMAdapter, XercesDOMAdapter, XML4JDOMAdapter

      public interface DOMAdapter

  Defines a standard set of adapter methods for interfacing with a DOM parser and obtaining a DOM `org.w3c.dom.Document` object. Implementing classes map these calls to DOM parser-specific calls, allowing any third-party parser to be used with JDOM.
  Version:
    $Revision: 1.22 $, $Date: 2007/11/10 05:28:59 $
  Author:
    Brett McLaughlin, Jason Hunter

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.w3c.dom.Document` | `createDocument()` This creates an empty `Document` object based on a specific parser implementation.
    `org.w3c.dom.Document` | `createDocument(DocType doctype)` This creates an empty `Document` object based on a specific parser implementation with the given DOCTYPE.
    `org.w3c.dom.Document` | `getDocument(java.io.File filename, boolean validate)` This creates a new `Document` from a given filename by letting a DOM parser handle parsing from the file.
    `org.w3c.dom.Document` | `getDocument(java.io.InputStream in, boolean validate)` This creates a new `Document` from an existing `InputStream` by letting a DOM parser handle parsing using the supplied stream.

- - ### Method Detail

    - #### getDocument

          org.w3c.dom.Document getDocument(java.io.File filename,
                                         boolean validate)
                                           throws java.io.IOException,
                                                  JDOMException

      This creates a new `Document` from a given filename by letting a DOM parser handle parsing from the file.
      Parameters:
        `filename` - file to parse.
        `validate` - `boolean` to indicate if validation should occur.
      Returns:
        `Document` - instance ready for use.
      Throws:
        `java.io.IOException` - when I/O error occurs.
        `JDOMException` - when errors occur in parsing.

    - #### getDocument

          org.w3c.dom.Document getDocument(java.io.InputStream in,
                                         boolean validate)
                                           throws java.io.IOException,
                                                  JDOMException

      This creates a new `Document` from an existing `InputStream` by letting a DOM parser handle parsing using the supplied stream.
      Parameters:
        `in` - `InputStream` to parse.
        `validate` - `boolean` to indicate if validation should occur.
      Returns:
        `Document` - instance ready for use.
      Throws:
        `java.io.IOException` - when I/O error occurs.
        `JDOMException` - when errors occur in parsing.

    - #### createDocument

          org.w3c.dom.Document createDocument()
                                              throws JDOMException

      This creates an empty `Document` object based on a specific parser implementation.
      Returns:
        `Document` - created DOM Document.
      Throws:
        `JDOMException` - when errors occur.

    - #### createDocument

          org.w3c.dom.Document createDocument(DocType doctype)
                                              throws JDOMException

      This creates an empty `Document` object based on a specific parser implementation with the given DOCTYPE.
      Parameters:
        `doctype` - Initial `DocType` of the document.
      Returns:
        `Document` - created DOM Document.
      Throws:
        `JDOMException` - when errors occur.

Copyright ? 2011 Jason Hunter, Brett McLaughlin. All Rights Reserved.